aWhere Manual
DevelopAPIitem-services

Downloads

Download a file Item, list its versions and export the diagram of a database.

GET
/api/item/{id}/actions/download

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the Item.

Header Parameters

Range?string

One range of bytes, such as bytes=0-1023.

Response Body

The bytes.

response?fileapplication/octet-stream
Formatbinary
curl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/download" \  -H "Authorization: Bearer $TOKEN"
"string"
GET
/api/item/{id}/actions/export/datadict

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the Item.

Response Body

The bytes.

response?fileapplication/octet-stream
Formatbinary
curl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/export/datadict" \  -H "Authorization: Bearer $TOKEN"
"string"
GET
/api/item/{id}/actions/export/diagram

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the Item.

Response Body

The bytes.

response?fileapplication/octet-stream
Formatbinary
curl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/export/diagram" \  -H "Authorization: Bearer $TOKEN"
"string"
GET
/api/item/{id}/actions/getVersion

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the Item.

Query Parameters

limit?integer

How many to return.

Default10
skip?integer

How many to skip.

Default0

Response Body

The versions, newest first.

application/json
  1. response
@meta?

The name and version of the service that answered.

data?array<>
curl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/getVersion" \  -H "Authorization: Bearer $TOKEN"
{  "@meta": {},  "data": [    {}  ]}